OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_SetGlobalParameter Class Reference

Sets a Global (Header) Parameter to a new value, directly given
Controls the form of the parameter (Integer, Real, String
with such or such form), but not the consistence of the new
value regarding the rest of the file.
The new value is given under the form of a HAsciiString, even
for Integer or Real values. For String values, Hollerith forms
are accepted but not mandatory
Warning : a Null (not set) value is not accepted. For an empty string,
give a Text Parameter which is empty
.

`#include <IGESSelect_SetGlobalParameter.hxx>`

Inheritance diagram for IGESSelect_SetGlobalParameter:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_SetGlobalParameter (const Standard_Integer numpar)
| Creates an SetGlobalParameter, to be applied on Global Parameter <numpar> .
Standard_EXPORT Standard_Integer | GlobalNumber () const
| Returns the global parameter number to which this modifiers applies .
Standard_EXPORT void | SetValue (const Handle(TCollection_HAsciiString)&text)
| Sets a Text Parameter for the new value .
Standard_EXPORT Handle_TCollection_HAsciiString | Value () const
| Returns the value to set to the global parameter (Text Param) .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : only <target> is used : the form of the new value is checked regarding the parameter number (given at creation time). .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Sets Global Parameter <numpar> to <new value>" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | thenum
Handle_TCollection_HAsciiString | theval

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SetGlobalParameter::IGESSelect_SetGlobalParameter | ( | const Standard_Integer | numpar | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESSelect_SetGlobalParameter::GlobalNumber | ( |  | ) | const

Standard_EXPORT const IGESSelect_SetGlobalParameter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_SetGlobalParameter::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_SetGlobalParameter::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

Standard_EXPORT void IGESSelect_SetGlobalParameter::SetValue | ( | const Handle(TCollection_HAsciiString)& | text | ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESSelect_SetGlobalParameter::Value | ( |  | ) | const

## Field Documentation

Standard_Integer IGESSelect_SetGlobalParameter::thenum`[private]`

Handle_TCollection_HAsciiString IGESSelect_SetGlobalParameter::theval`[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SetGlobalParameter.hxx